이 페이지는 AI로 자동 번역되었으며 부정확한 내용이 포함될 수 있습니다. 번역 오류를 신고하려면 페이지 오른쪽 목차 아래에 있는 피드백 기능을 사용하세요.
사용 가능한 Content Blocks 목록
get
/content_blocks/list
이 엔드포인트를 사용하여 기존 Content Blocks 정보를 나열할 수 있습니다.
필수 조건
이 엔드포인트를 사용하려면 content_blocks.list 권한이 있는 API 키가 필요합니다.
사용량 제한
이 엔드포인트에는 API 사용량 제한 설명서에 명시된 대로 기본 Braze 사용량 제한인 시간당 250,000건의 요청이 적용됩니다.
요청 매개변수
| 매개변수 | 필수 | 데이터 유형 | 설명 |
|---|---|---|---|
modified_after |
선택 사항 | ISO-8601 형식의 문자열 | 지정된 시간 또는 그 이후에 업데이트된 Content Blocks만 검색합니다. |
modified_before |
선택 사항 | ISO-8601 형식의 문자열 | 지정된 시간 또는 그 이전에 업데이트된 Content Blocks만 검색합니다. |
limit |
선택 사항 | 양수 | 검색할 수 있는 최대 Content Blocks 수입니다. 제공하지 않으면 기본값은 100이며, 허용되는 최대 값은 1000입니다. |
offset |
선택 사항 | 양수 | 검색 기준에 맞는 나머지 템플릿을 반환하기 전에 건너뛸 Content Blocks 수입니다. |
요청 예시
1
2
curl --location --request GET 'https://rest.iad-01.braze.com/content_blocks/list?modified_after=2020-01-01T01:01:01.000000&modified_before=2020-02-01T01:01:01.000000&limit=100&offset=1' \
--header 'Authorization: Bearer YOUR-API-KEY-HERE'
응답
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
{
"count": "integer",
"content_blocks": [
{
"content_block_id": (string) the Content Block identifier,
"name": (string) the name of the Content Block,
"content_type": (string) the content type, html or text,
"liquid_tag": (string) the Liquid tags,
"inclusion_count" : (integer) the inclusion count,
"created_at": (string) The time the Content Block was created in ISO 8601,
"last_edited": (string) The time the Content Block was last edited in ISO 8601,
"tags": (array) An array of tags formatted as strings
}
]
}
문제 해결
다음 표에는 반환될 수 있는 오류와 관련 문제 해결 단계가 나와 있습니다.
| 오류 | 문제 해결 |
|---|---|
Modified after time is invalid |
제공된 날짜가 유효하지 않거나 파싱할 수 없는 날짜입니다. 이 값을 ISO 8601 형식의 문자열로 다시 포맷하세요(yyyy-mm-ddThh:mm:ss.ffffff). |
Modified before time is invalid |
제공된 날짜가 유효하지 않거나 파싱할 수 없는 날짜입니다. 이 값을 ISO 8601 형식의 문자열로 다시 포맷하세요(yyyy-mm-ddThh:mm:ss.ffffff). |
Modified after time must be earlier than or the same as modified before time. |
modified_after 값을 modified_before 시간보다 이른 시간으로 변경하세요. |
Content Block number limit is invalid |
limit 매개변수는 0보다 큰 정수(양수)여야 합니다. |
Content Block number limit must be greater than 0 |
limit 매개변수를 0보다 큰 정수로 변경하세요. |
Content Block number limit exceeds maximum of 1000 |
limit 매개변수를 1000보다 작은 정수로 변경하세요. |
Offset is invalid |
offset 매개변수는 0보다 큰 정수여야 합니다. |
Offset must be greater than 0 |
offset 매개변수를 0보다 큰 정수로 변경하세요. |
New Stuff!